Package org.drinkless.tdlib

# Class TdApi.MaskPosition

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MaskPosition

Enclosing class:
  `TdApi`

public static class TdApi.MaskPosition extends TdApi.Object
Position on a photo where a mask is placed.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MaskPoint`
  `point`
  Part of the face, relative to which the mask is placed.
  `double`
  `scale`
  Mask scaling coefficient.
  `double`
  `xShift`
  Shift by X-axis measured in widths of the mask scaled to the face size, from left to right.
  `double`
  `yShift`
  Shift by Y-axis measured in heights of the mask scaled to the face size, from top to bottom.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MaskPosition()`
  Position on a photo where a mask is placed.
  `MaskPosition(TdApi.MaskPoint point, double xShift, double yShift, double scale)`
  Position on a photo where a mask is placed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### point

    public TdApi.MaskPoint point
    Part of the face, relative to which the mask is placed.

  - ### xShift

    public double xShift
    Shift by X-axis measured in widths of the mask scaled to the face size, from left to right. (For example, -1.0 will place the mask just to the left of the default mask position.)

  - ### yShift

    public double yShift
    Shift by Y-axis measured in heights of the mask scaled to the face size, from top to bottom. (For example, 1.0 will place the mask just below the default mask position.)

  - ### scale

    public double scale
    Mask scaling coefficient. (For example, 2.0 means a doubled size.)

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MaskPosition

    public MaskPosition()
    Position on a photo where a mask is placed.

  - ### MaskPosition

    public MaskPosition(TdApi.MaskPoint point, double xShift, double yShift, double scale)
    Position on a photo where a mask is placed.
    Parameters:
      `point` - Part of the face, relative to which the mask is placed.
      `xShift` - Shift by X-axis measured in widths of the mask scaled to the face size, from left to right. (For example, -1.0 will place the mask just to the left of the default mask position.)
      `yShift` - Shift by Y-axis measured in heights of the mask scaled to the face size, from top to bottom. (For example, 1.0 will place the mask just below the default mask position.)
      `scale` - Mask scaling coefficient. (For example, 2.0 means a doubled size.)

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR